Bug 2058148 - CMO logs show forbidden: User "system:serviceaccount:openshift-monitoring:cluster-monitoring-operator" cannot get resource "replicasets" in API group "apps" in the namespace "openshift-monitoring"
Summary: CMO logs show forbidden: User "system:serviceaccount:openshift-monitoring:clu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.10.z
Assignee: Brad Ison
QA Contact: hongyan li
URL:
Whiteboard:
Depends On: 2057403
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-24 11:55 UTC by OpenShift BugZilla Robot
Modified: 2022-03-21 12:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-21 12:40:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1568 0 None open [release-4.10] Bug 2058148: jsonnet: Give CMO explicit get permissions for ReplicaSets 2022-02-24 11:55:22 UTC
Red Hat Product Errata RHBA-2022:0928 0 None None None 2022-03-21 12:40:24 UTC

Comment 1 hongyan li 2022-02-25 03:17:30 UTC
Tested with PR, no such error in the log now

Comment 3 hongyan li 2022-03-11 14:51:18 UTC
for has tested with PR, change the bug as verified

Comment 6 errata-xmlrpc 2022-03-21 12:40:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:0928


Note You need to log in before you can comment on or make changes to this bug.